Bug 473314 - radeon r300 unstable with modesetting
radeon r300 unstable with modesetting
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 11:43 EST by Kevin Fenzi
Modified: 2009-11-18 11:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 11:36:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (157.77 KB, text/plain)
2008-12-12 15:51 EST, Jack Tanner
no flags Details
xorg.conf (4.30 KB, text/plain)
2008-12-12 15:54 EST, Jack Tanner
no flags Details
Xorg.0.log (443.55 KB, text/plain)
2008-12-16 02:09 EST, Kevin Fenzi
no flags Details
xorg.conf from machine (594 bytes, text/plain)
2008-12-16 02:10 EST, Kevin Fenzi
no flags Details

  None (edit)
Description Kevin Fenzi 2008-11-27 11:43:04 EST
Thinkpad t42p laptop here with a r300 radeon in it. F10 comes up fine and looks ok, but when running some applications there are random redraws that hide part of the app. 

The /var/log/Xorg.0.log had in it: 

RADEON DRM CS failure - corruptions/glitches may occur -22
bufmgr: last submission : r:207552 vs g:22016000 w:39398400 vs v:42983424

Unfortunately the Xorg.0.log got overwritten after booting with nomodeset. ;( 
Will attach the completely stock xorg.conf.
Comment 1 Matěj Cepl 2008-11-27 12:56:52 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jack Tanner 2008-12-12 15:51:30 EST
Created attachment 326773 [details]
Xorg.0.log
Comment 3 Jack Tanner 2008-12-12 15:54:58 EST
Created attachment 326774 [details]
xorg.conf

Same problem here. I also see artifacts when alt-tabbing through windows list. (This is all under compiz.)
Comment 4 Kevin Fenzi 2008-12-16 02:09:58 EST
Created attachment 327073 [details]
Xorg.0.log

Here's the Xorg.0.log from a normal bootup.
Comment 5 Kevin Fenzi 2008-12-16 02:10:49 EST
Created attachment 327074 [details]
xorg.conf from machine

Here's the xorg.conf file.
Comment 6 Bug Zapper 2009-11-18 04:00:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Kevin Fenzi 2009-11-18 11:36:24 EST
I'm able to not use nomodeset on the laptop now, so this can be closed.

Note You need to log in before you can comment on or make changes to this bug.